Bug 1475240 (CVE-2017-2836) - CVE-2017-2836 freerdp: Rdp Client Read Server Proprietary Certificate Denial of Service
Summary: CVE-2017-2836 freerdp: Rdp Client Read Server Proprietary Certificate Denial ...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-2836
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1475245 1475247 1475246
Blocks: 1475243
TreeView+ depends on / blocked
 
Reported: 2017-07-26 09:21 UTC by Adam Mariš
Modified: 2019-09-29 14:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-07 13:59:20 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-07-26 09:21:22 UTC
An exploitable denial of service vulnerability exists within the reading of proprietary server certificates in FreeRDP 2.0.0-beta1+android11. A specially crafted challenge packet can cause the program termination leading to a denial of service condition. An attacker can compromise the server or use man in the middle to trigger this vulnerability.

The vulnerability is located in the parsing of proprietary certificates. In this function, the public key is parsed by the FreeRDP library. However the size of the key specified in the server message packet is inferior to 8, the FreeRDP library crashes.

External References:

http://blog.talosintelligence.com/2017/07/vulnerbility-spotlight-freerdp-multiple.html
https://www.talosintelligence.com/vulnerability_reports/TALOS-2017-0338

Comment 1 Adam Mariš 2017-07-26 09:31:44 UTC
Created freerdp tracking bugs for this issue:

Affects: epel-6 [bug 1475247]
Affects: fedora-all [bug 1475246]


Created freerdp1.2 tracking bugs for this issue:

Affects: fedora-all [bug 1475245]

Comment 3 Stefan Cornelius 2017-08-07 13:59:28 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.